> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Probe service pricing

> Live-probe a service's MPP pricing endpoint (HEAD / well-known probe).



## OpenAPI

````yaml /api-reference/openapi.json get /v1/mpp/services/{domain}/pricing
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/mpp/services/{domain}/pricing:
    get:
      tags:
        - MPP
      summary: Probe service pricing
      description: Live-probe a service's MPP pricing endpoint (HEAD / well-known probe).
      parameters:
        - schema:
            type: string
          required: true
          name: domain
          in: path
      responses:
        '200':
          description: Pricing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MPPService'
        '404':
          description: Service does not advertise MPP
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    MPPService:
      type: object
      properties:
        domain:
          type: string
        name:
          type: string
        category:
          type: string
        pricing:
          type: object
          properties:
            base_price:
              type: string
            currency:
              type: string
            unit:
              type: string
          required:
            - base_price
            - currency
            - unit
        accepts_sessions:
          type: boolean
        min_deposit:
          type:
            - string
            - 'null'
      required:
        - domain
        - pricing
        - accepts_sessions
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````